use newer version of grep with recent debian/ubuntu releases due to the ld --as-neede...
authorLucas Nussbaum <lucas@lucas-nussbaum.net>
Wed, 30 Nov 2011 07:45:08 +0000 (08:45 +0100)
committerLucas Nussbaum <lucas@lucas-nussbaum.net>
Wed, 30 Nov 2011 07:45:08 +0000 (08:45 +0100)
packaging-tutorial.tex

index 180f9ad..393e085 100644 (file)
@@ -719,7 +719,9 @@ override_dh_auto_build:
 \begin{frame}{Practical session 1: modifying the grep package}
   \begin{enumerate}
   \item Go to \url{http://ftp.debian.org/debian/pool/main/g/grep/} and
-    download version 2.6.3-3 of the package
+    download version 2.6.3-3 of the package (if you use Ubuntu 11.10 or
+    later, or Debian testing or unstable, use version 2.9-1 or 2.9-2 instead)
+
   \item Look at the files in \texttt{debian/}.
     \begin{itemize}
     \item              How many binary packages are generated by this source package?
@@ -1264,8 +1266,10 @@ Vcs-Svn: svn://svn.debian.org/pkg-perl/trunk/libwww-perl
 
 \begin{frame}{Practical session: modifying the grep package}
 \begin{enumerate}
-       \item Go to \url{http://ftp.debian.org/debian/pool/main/g/grep/} and
-               download version 2.6.3-3 of the package
+  \item Go to \url{http://ftp.debian.org/debian/pool/main/g/grep/} and
+    download version 2.6.3-3 of the package (if you use Ubuntu 11.10 or
+    later, or Debian testing or unstable, use version 2.9-1 or 2.9-2 instead)
+
        \item Look at the files in \texttt{debian/}.
                \begin{itemize}
                        \item           How many binary packages are generated by this source package?